<?xml version="1.0" encoding="utf8"?>
<xsl:stylesheet version="1.0"
		xmlns="http://www.w3.org/1999/xhtml" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:ssx="http://asp.mexmat.net/xmlns/ssx">
	<!--
	doctype-public="-//M9LS//DTD XHTML 1.1 with IFrame//EN"
	doctype-system="http://asp.mexmat.net/~psha/m9ls/data/xhtml/m9ls-xhtml11-iframe.dtd"/>
	-->
<xsl:output 
	method="xml" 
	indent="yes" 
	encoding="utf8" 
	omit-xml-declaration="no"
	doctype-public="-//W3C//DTD XHTML 1.1//EN"
	doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"/>

<xsl:template match='/'>
<html>
  <head>
	<title>
	<xsl:choose>
	<xsl:when test='//ssx:title'><xsl:value-of select='//ssx:title'/></xsl:when>
	<xsl:otherwise>SSX Engine</xsl:otherwise>
	</xsl:choose>
	</title>
	<link rel="stylesheet" type="text/css" href="ssx/ssx.css" />
	<xsl:for-each select='//ssx:css'>
		<link rel='stylesheet' type='text/css' href='{@href}'/>
	</xsl:for-each>
	<xsl:comment>SSX Engine 0.0.1</xsl:comment>
  </head>
  <body>
	<xsl:apply-templates />
  </body>
</html>
</xsl:template>

<xsl:template match='ssx:body'>
	<div class='ssx-body'><xsl:apply-templates/></div>
</xsl:template>

<!--
<xsl:template match='ssx:body[@mode = "print"]'>
	<div class='ssx-body'><xsl:apply-templates select='node()[@mode = "print"]'/></div>
</xsl:template>
-->

<xsl:template match='ssx:doc[@mode = "print"]'>
	<div class='ssx-doc'><xsl:apply-templates select='ssx:body | node()[@mode = "print"]'/></div>
</xsl:template>

<xsl:template match='ssx:doc'>
	<div class='ssx-doc'><xsl:apply-templates/></div>
</xsl:template>
<xsl:template match='ssx:line'>
	<div><xsl:apply-templates/></div>
</xsl:template>
<xsl:template match='ssx:script'>
	<xsl:variable name='type'>
		<xsl:choose>
		<xsl:when test='@type'>
			<xsl:value-of select="@type"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>text/javascript</xsl:text>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<script src="{@src}" type='{$type}'>&#160;</script>
</xsl:template>

<xsl:template match='ssx:meta'>
	<div class='ssx-meta'><xsl:apply-templates/>
	<!--
	<div><a href='http://validator.w3.org/check/referer'>xhtml 1.1</a></div>
	<div><a href='http://jigsaw.w3.org/css-validator/check/referer'>css</a></div>
	-->
	</div>
</xsl:template>

<xsl:template match='ssx:timer'>
	<div><xsl:value-of select='@type'/>: <xsl:apply-templates/> sec</div>
</xsl:template>

<xsl:template match='ssx:error'>
	<div><span class='ssx-error'> <xsl:apply-templates/> </span></div>
</xsl:template>

<xsl:template match='ssx:center'><div class='ssx-center'><xsl:apply-templates /></div></xsl:template>

<xsl:template match="ssx:*"/>

<xsl:template match="*">
<xsl:copy>
	<xsl:copy-of select="@*"/>
	<xsl:apply-templates />
</xsl:copy>
</xsl:template>

<xsl:template match="text()"><xsl:copy-of select='.'/></xsl:template>
</xsl:stylesheet>
